Skip to content

List local geoBoundaries gbOpen datasets available from the configured catalog root.

GET
/api/workspace/admin/geo-boundary-catalog/datasets
curl --request GET \
--url https://example.com/api/workspace/admin/geo-boundary-catalog/datasets \
--header 'Authorization: Bearer <token>'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
Array<object>
nullable

Local administrative-boundary dataset discovered from the configured boundary catalog.

object
DatasetKey
string
nullable
Provider
integer format: int32
Allowed values: 0 1 2 3 4 99
ReleaseType
string
nullable
Iso3
string
nullable
AdmLevel
string
nullable
AdministrativeBoundaryType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 99
BoundaryId
string
nullable
BoundaryName
string
nullable
BoundaryYearRepresented
integer format: int32
nullable
FeatureCount
integer format: int32
nullable
Source
string
nullable
SourceUrl
string
nullable
License
string
nullable
LicenseDetail
string
nullable
LicenseSource
string
nullable
SourceDataUpdateDate
string
nullable
BuildDate
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"Provider": 0,
"AdministrativeBoundaryType": 0
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data
Array<object>
nullable

Local administrative-boundary dataset discovered from the configured boundary catalog.

object
DatasetKey
string
nullable
Provider
integer format: int32
Allowed values: 0 1 2 3 4 99
ReleaseType
string
nullable
Iso3
string
nullable
AdmLevel
string
nullable
AdministrativeBoundaryType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 99
BoundaryId
string
nullable
BoundaryName
string
nullable
BoundaryYearRepresented
integer format: int32
nullable
FeatureCount
integer format: int32
nullable
Source
string
nullable
SourceUrl
string
nullable
License
string
nullable
LicenseDetail
string
nullable
LicenseSource
string
nullable
SourceDataUpdateDate
string
nullable
BuildDate
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"Provider": 0,
"AdministrativeBoundaryType": 0
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}